<ion-content [fullscreen]="true" [scrollEvents]="true" (ionScroll)="logScrolling($event)">
    <div id="container">
        <div class="container mx-auto max-w-screen-xl mt-28 px-3 md:px-0" [ngClass]="cartItemsNo>0 ? 'md:mt-52' : 'md:mt-40'" >
            <div class="flex flex-wrap items-center" style="color: #707070;">
                <a routerLink="/home" class="hover:text-black">Trang Chủ&nbsp; </a>
                <ion-icon name="chevron-forward-outline"> </ion-icon>
                <a class="text-black" >&nbsp;Giỏ Hàng&nbsp;</a>
            </div>
            <div class="text-center text-3xl md:text-4xl font-medium pt-8">
              <p>Giỏ Hàng</p>
            </div>
        </div>
        <!-- <div class="container mx-auto max-w-screen-xl pt-4 px-0">
            <div class="flex flex-wrap items-center" style="color: #707070;">
                <a routerLink="/home" class="hover:text-black">Trang chủ&nbsp; </a>
                <ion-icon name="chevron-forward-outline"> </ion-icon>
                <a class="text-black">Giỏ hàng&nbsp; </a>
            </div>
        </div> -->
        <div class="container mx-auto max-w-screen-lg md:pt-10 pb-4 px-3 md:px-0" *ngIf="!isLogin">
            <!-- <p class="text-center text-4xl font-medium pb-4">Giỏ hàng</p> -->
            <div *ngIf="(guestCart$ | async) as cart">
                <div class="py-8 md:py-0" *ngIf="cart.length > 0">
                    <!-- <h3 class="uppercase text-xl">
                        <span>
                            Giỏ hàng của bạn
                        </span>
                        - {{ cart.length }} món hàng
                    </h3> -->
                    <div class="grid grid-cols-12">
                        <div class="md:col-span-8 hidden md:block rounded-2xl ">
                            <div class="border-color border rounded-2xl ">
                                <h3 class="text-xl text-center font-semibold mt-4">
                                    <span>
                                        Giỏ Hàng Của Tôi
                                    </span>
                                     ({{ (guestCart$ | async)?.length }})
                                </h3>
    
                                <div class="grid grid-cols-10 p-3 text-center margin-l-r border-b">
                                    <!-- <div class="col-span-2"></div> -->
                                    <div class="col-span-5 text-left">
                                        Chi tiết sản phẩm
                                    </div>
                                    <div class="col-span-2">
                                        Số lượng
                                    </div>
                                    <div class="col-span-2">
                                        Giá
                                    </div>
                                    <div class="col-span-1"></div>
    
                                </div>
                                <div *ngFor="let item of cart; index as idx">
                                    <div class="grid grid-cols-10 text-center py-3">
                                        <div class="col-span-2 h-24 flex justify-center">
                                            <div *ngFor="let i of product">
                                                <div *ngIf="i.node.id == item.product.id">
                                                    <img [src]="
                                                    i.node.thumbnail ? i.node.thumbnail : 'assets/image/hshg-2.png'
                                                " class="h-24 w-24 cursor-pointer rounded-md" alt="Product thumbnail" [routerLink]="'/product-detail/'+item.product.id"
                                                [queryParams]="{ action: 'update' }"/>
                                                </div>
                                            </div>
    
                                        </div>
                                        <div class="col-span-3 text-left pr-2 my-auto">
                                            <span class="font-semibold cursor-pointer" [routerLink]="'/product-detail/'+item.product.id" [queryParams]="{ action: 'update' }">
                                                {{ item.product?.name || item.product.name }}
                                            </span>
                                            <div *ngIf="item?.subCartDetail?.length>0" class="text-sm">
                                                (<span *ngFor="let top of item?.subCartDetail; let last = last">
                                                    {{top?.product?.topping?.name}}
                                                    <span>  
                                                        <span class="text-xs">x </span>
                                                        {{top?.quantity}}
                                                    </span> 
                                                    <span *ngIf="!last">,</span>
                                                </span>)
                                            </div>
                                            <div *ngIf="item?.subCartDetail?.length==0 || !item?.subCartDetail" class="text-sm">
                                                (Không chế biến)
                                            </div>
                                            <div *ngIf="item?.orderDetailNote" class="mt-2">
                                                <div class="border-t text-sm pt-2 whitespace-pre-line">
                                                    {{item?.orderDetailNote}}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-span-2 my-auto">
                                            <cos-frontend-item-quantity [quantity]="item.quantity" [item]="item"
                                                (outputQuantity)="
                                            changeQuantity2(
                                                $event,
                                                item.product.id
                                            )
                                        ">
                                            </cos-frontend-item-quantity>
                                        </div>
    
                                        <div class="col-span-2 font-semibold my-auto" style="color: var(--color-blue)">
                                            <div *ngFor="let i of product">
                                                <div *ngIf="i.node.id == item.product.id">
                                                    <div *ngIf="i.node.flashSaleProduct?.edges.length > 0">
                                                        <p>{{(i.node.flashSaleProduct?.edges[0].node.price) | number: '0.0-1':'vi'}}đ</p>
                                                        <p class=" text-sm line-through text-gray-300">{{i.node.price|
                                                            number: '0.0-1':'vi'}}đ</p>
                                                    </div>
                                                    <div *ngIf="i.node.flashSaleProduct?.edges.length == 0">
                                                        <p>{{i.node.price| number: '0.0-1':'vi'}}đ</p>
                                                        <p class="line-through" style="color: #717171; text-decoration-thickness: 1px;" *ngIf="item.product.advertisingPrice">
                                                            {{i.node.advertisingPrice| number: '0.0-1':'vi'}}đ
                                                        </p>
                                                    </div>
                                                </div>
                                            </div>
    
                                        </div>
                                        <div class="col-span-1 md:justify-center justify-end text-lg my-auto">
                                            <mat-icon  class=" cursor-pointer"
                                                (click)="openDialog(item.id || item.product.id)">highlight_off
                                            </mat-icon>
                                            <div *ngIf="item?.orderDetailNote">
                                                <mat-icon  class=" cursor-pointer" [routerLink]="'/product-detail/'+item.product.id"
                                                [queryParams]="{ action: 'update' }">edit_note
                                                </mat-icon>
                                            </div>
                                        </div>
                                    </div>
    
                                </div>
                            </div>
                            
                        </div>
                        <div class="col-span-12 block md:hidden pb-2 border rounded-2xl border-color">
                            <div *ngFor="let item of cart; index as idx">
                                <div class="grid grid-cols-12  py-3 px-2">
                                    <div class="col-span-3 h-20">
                                        <div *ngFor="let i of product">
                                            <div *ngIf="i.node.id == item.product.id">
                                                <img [src]="
                                                i.node.thumbnail ? i.node.thumbnail : 'assets/image/hshg-2.png'
                                            " class="h-20 w-20 cursor-pointer rounded-md" alt="Product thumbnail"  [routerLink]="'/product-detail/'+item.product.id" [queryParams]="{ action: 'update' }"/>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-span-8 justify-start pl-2">
                                        <span class="font-semibold text-lg cursor-pointer" [routerLink]="'/product-detail/'+item.product.id" [queryParams]="{ action: 'update' }"> 
                                            {{ item.product?.name || item.product.name }}
                                        </span>
                                        <div *ngIf="item?.subCartDetail?.length>0" class="text-sm">
                                            (<span *ngFor="let top of item?.subCartDetail; let last = last">
                                                {{top?.product?.topping?.name}}
                                                <span>  
                                                    <span class="text-xs">x </span>
                                                    {{top?.quantity}}
                                                </span> 
                                                <span *ngIf="!last">,</span>
                                            </span>)
                                        </div>
                                        <div *ngIf="item?.subCartDetail?.length==0 || !item?.subCartDetail" class="text-sm">
                                            (Không chế biến)
                                        </div>
                                        <div *ngIf="item?.orderDetailNote" class="mt-2">
                                            <div class="border-t text-sm pt-2 whitespace-pre-line">
                                                {{item?.orderDetailNote}}
                                            </div>
                                        </div>
                                        <div class="mt-2 font-semibold" style="color: var(--color-blue)">
                                            <div *ngFor="let i of product">
                                                <div *ngIf="i.node.id == item.product.id">
                                                    <div *ngIf="i.node.flashSaleProduct?.edges.length > 0">
                                                        <p class="mr-2">{{(i.node.flashSaleProduct?.edges[0].node.price)
                                                            |
                                                            number: '0.0-1':'vi'}}đ</p>
                                                        <p class=" text-sm line-through text-gray-300">{{i.node.price|
                                                            number: '0.0-1':'vi'}}đ</p>
                                                    </div>
                                                    <div class="flex" *ngIf="i.node.flashSaleProduct?.edges.length == 0">
                                                        <p>{{i.node.price| number: '0.0-1':'vi'}}đ</p>
                                                        <p class="line-through ml-2" style="color: #717171; text-decoration-thickness: 1px;" *ngIf="item.product.advertisingPrice">
                                                            {{item.product.advertisingPrice| number: '0.0-1':'vi'}}đ
                                                        </p>
                                                    </div>
                                                </div>
                                            </div>

                                        </div>

                                        <div class="mt-2">
                                            <cos-frontend-item-quantity [quantity]="item.quantity" [item]="item"
                                                (outputQuantity)="
                                        changeQuantity2(
                                            $event,
                                            item.product.id
                                        )
                                    ">
                                            </cos-frontend-item-quantity>
                                        </div>


                                    </div>

                                    <div class="col-span-1 md:justify-center justify-end text-lg">
                                            <mat-icon  class=" cursor-pointer"
                                            (click)="openDialog(item.product.id)">highlight_off</mat-icon>
                                            <div *ngIf="item?.orderDetailNote">
                                                <mat-icon  class=" cursor-pointer" [routerLink]="'/product-detail/'+item.product.id"
                                                [queryParams]="{ action: 'update' }">edit_note
                                                </mat-icon>
                                            </div>
                                    </div>

                                </div>

                            </div>
                        </div>
                        <div class="md:col-span-4 md:pl-3 col-span-12 pl-0 mt-3 md:mt-0">
                            <div class="py-4 px-2 border rounded-2xl border-color">
                                <div class="text-center text-xl font-semibold">
                                    Tóm Tắt Đơn Hàng
                                </div>

                                <div class="flex justify-between pt-3 pb-1 border-b-2">
                                    <span>
                                        Tạm tính
                                    </span>
                                    <span class="font-weight-bold" style="color: var(--color-blue)">
                                        {{subTotal |number: '0.0-1':'vi'}}đ 
                                    </span>
                                </div>

                                <div class="flex justify-between pt-3 pb-1 border-b-2">
                                    <span>
                                        Giảm giá
                                    </span>
                                    <span class="font-weight-bold" style="color: var(--color-blue)">{{
                                        totalDiscount | number: '0.0-1':'vi'}}đ </span>
                                </div>


                                <div class="flex justify-between pt-3 font-semibold" style="color: var(--color-blue)">
                                    <span>
                                        Tổng cộng
                                    </span>
                                    <span class="font-semibold" style="color: var(--color-blue)">{{
                                        (subTotal - totalDiscount) | number: '0.0-1':'vi'}}đ </span>
                                </div>

                                <div *ngIf="needToDiscount>0" style="color:var(--color-red)">
                                    Mua thêm {{ needToDiscount | number: '0.0-1':'vi'}}đ để được áp dụng ưu đãi
                                </div>
                            </div>

                            <div class="py-4 px-2 border rounded-2xl border-color mt-3">
                                <div class=" w-full pt-1 text-center">
                                    <div class="font-semibold text-xl">
                                        Mã Khuyến Mãi
                                    </div>

                                    <div class="grid grid-cols-12 my-4 gap-y-2" >
                                        <div class="col-span-12" 
                                            *ngFor="let item of (promotionCode$ | async)?.edges; index as index;" 
                                            [class.pl-1]="index != 0"
                                        >
                                            <div class="border justify-center text-white" 
                                                [class.bg-custom-pro-active]="activePromotion == item?.node?.code"
                                                [class.bg-custom-pro]="activePromotion != item?.node?.code"
                                            >
                                                <!-- <button type="button" class="py-2 px-3" (click)="changeOptionPromotion(item)">
                                                    {{
                                                        (item?.node?.unitDiscount == 'VND' ? ('-' + (item?.node?.discount | number: '0.0-1':'vi') + 'đ') : 
                                                        (
                                                            (subTotal && item?.node?.limitDiscount && (subTotal * item?.node?.discount / 100) > item?.node?.limitDiscount) ? 
                                                            ('-' + (item?.node?.limitDiscount | number: '0.0-1':'vi')  + 'đ') :  
                                                            ('-' + item?.node?.discount  + '%')
                                                        ))
                                                    }}
                                                </button> -->
                                                <button type="button" class="py-2 px-3" (click)="changeOptionPromotion(item)">
                                                    {{
                                                        item?.node?.title
                                                    }}
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                    <form [formGroup]="form" (ngSubmit)="applyPromotionCode(form.value)">
                                        <div class="grid grid-cols-12">
                                        
                                            <div class="col-span-8">
                                                <input type="text" class="h-10 border border-color border-2rem w-full"
                                                    placeholder="Mã khuyến mãi" aria-label="promotion_code"
                                                    aria-describedby="promotion_code"
                                                    formControlName="code"
                                                />
                                            </div>
                                            <div class="col-span-4 pl-2">
                                                <!-- <div class="h-10 border justify-center  bg-custom text-white ">
                                                    <button type="submit" >Áp dụng</button>
                                                    
                                                </div> -->
                                                <a>
                                                    <button type="submit"
                                                        class="h-10 w-full bg-custom text-white">
                                                        Áp dụng
                                                    </button>
                                                </a>
                                            </div>
                                        </div>
                                    </form>
                                    

                                </div>
                            </div>
                            <div class="text-center mt-3">
                                <a  (click)="checkout()">
                                    <button type="button"
                                        class="h-10 w-full bg-custom text-white">
                                        Đặt hàng
                                    </button>
                                </a>
                            </div>

                            <div class="flex flex-wrap items-center text-center justify-center mt-4" style="color: #707070;">
                                <ion-icon class="tag-cart" name="tag-cart"> </ion-icon>
                                <a routerLink="/home" class="text-black font-normal underline hover:no-underline">Chọn thêm sản phẩm&nbsp; </a>
                            </div>

                        </div>
                    </div>
                </div>
                <div *ngIf="cart.length == 0">
                    <p class="text-center md:text-2xl mt-10">Chưa có sản phẩm </p>
                    <div class="flex justify-center mt-20">
                        <a class=" py-2 px-4 md:text-xl  text-white bg-custom cursor-pointer" routerLink="/home">
                            Quay lại trang chủ</a>

                    </div>
                </div>
            </div>

        </div>
        <div class="container mx-auto max-w-screen-lg md:pt-10 pb-4  px-3 md:px-0" *ngIf="isLogin">
            <!-- <p class="text-center text-4xl font-medium pb-4">Giỏ hàng</p> -->
            <div>
                <div class="py-8 md:py-0" *ngIf="(memberCart$ | async)?.length > 0">
                    <!-- <div class="grid grid-cols-12">
                        <div class="md:col-span-8 col-span-12 py-4 border-t border-l border-r border-color rounded-t-2xl">
                            <h3 class="text-xl text-center">
                                <span>
                                    Giỏ hàng của bạn
                                </span>
                                - {{ (memberCart$ | async)?.length }} món hàng
                            </h3>
                        </div>
                    </div> -->
                    
                    <div class="grid grid-cols-12">
                        <!-- <h3 class="text-xl text-center">
                            <span>
                                Giỏ hàng của bạn
                            </span>
                            - {{ (memberCart$ | async)?.length }} món hàng
                        </h3> -->

                        <div class="md:col-span-8 hidden md:block ">
                            <div class="border border-color rounded-2xl">
                                <h3 class="text-xl text-center mt-4 font-semibold">
                                    <span>
                                        Giỏ Hàng Của Tôi
                                    </span>
                                    ({{ (memberCart$ | async)?.length }})
                                </h3>
    
                                <div class="grid grid-cols-10 p-3 text-center border-b">
                                    <!-- <div class="col-span-2"></div> -->
                                    <div class="col-span-5 text-left">
                                        Chi tiết sản phẩm
                                    </div>
                                    <div class="col-span-2">
                                        Số lượng
                                    </div>
                                    <div class="col-span-2">
                                        Giá
                                    </div>
                                    <div class="col-span-1"></div>
    
                                </div>
                                <div *ngFor="let item of memberCart$ | async; index as idx">
                                    <div class="grid grid-cols-10 text-center py-3">
                                        <div class="col-span-2 h-24 flex justify-center">
                                            <img [src]="
                                        item.product?.thumbnail ? item.product?.thumbnail : 'assets/image/hshg-2.png'
                                    " class="h-24 w-24 cursor-pointer rounded-md" alt="Product thumbnail" [routerLink]="'/product-detail/'+item.product.id" [queryParams]="{ action: 'update' }"/>
                                        </div>
    
                                        <div class="col-span-3 text-left pr-2 my-auto">
                                            <span class="font-semibold text-lg cursor-pointer" [routerLink]="'/product-detail/'+item.product.id" [queryParams]="{ action: 'update' }">
                                                {{ item.product?.name || item.product.name }}
                                            </span>
                                            <div *ngIf="item?.subCartDetail?.length>0">
                                                (<span *ngFor="let top of item?.subCartDetail; let last = last">
                                                    {{top?.product?.name}}
                                                    <span>  
                                                        <span class="text-xs">x </span>
                                                        {{top?.quantity}}
                                                    </span> 
                                                    <span *ngIf="!last">,</span>
                                                </span>)
                                            </div>
                                            <div *ngIf="item?.subCartDetail?.length==0 || !item?.subCartDetail">
                                                (Không chế biến)
                                            </div>
                                            <div *ngIf="item?.note" class="mt-2">
                                                <div class="border-t text-sm pt-2 whitespace-pre-line">
                                                    {{item?.note}}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-span-2 my-auto">
                                            <cos-frontend-item-quantity [quantity]="item.quantity" [item]="item" (outputQuantity)="
                                        changeQuantity2(
                                            $event,
                                            item.product.id
                                        )
                                    ">
                                            </cos-frontend-item-quantity>
                                        </div>
                                        <div class="col-span-2 font-semibold my-auto" style="color: var(--color-blue)" 
                                            *ngIf="item.product.flashSaleProduct?.edges.length > 0">
                                            <p>{{(item.product.flashSaleProduct?.edges[0].node.price) | number: '0.0-1':'vi'}}đ</p>
                                            <p class=" text-sm line-through text-gray-300">{{item.product.price| number: '0.0-1':'vi'}}đ</p>
                                        </div>
                                        <div class="col-span-2 font-semibold my-auto" style="color: var(--color-blue)">
                                            <p>{{item.product.price| number: '0.0-1':'vi'}}đ</p>
                                            <p class="line-through" style="color: #717171; text-decoration-thickness: 1px;" *ngIf="item.product.advertisingPrice">
                                                {{item.product.advertisingPrice| number: '0.0-1':'vi'}}đ
                                            </p>
                                        </div>
                                        <div class="col-span-1 md:justify-center justify-end my-auto">
                                            <mat-icon  class=" cursor-pointer"
                                                (click)="openDialog(item.id || item.product.id)">highlight_off</mat-icon>
                                                <div *ngIf="item?.note">
                                                    <mat-icon  class=" cursor-pointer" [routerLink]="'/product-detail/'+item.product.id"
                                                    [queryParams]="{ action: 'update' }">edit_note
                                                    </mat-icon>
                                                </div>
                                        </div>
    
                                    </div>
    
                                </div>
                            </div>
                            
                        </div>
                        <div class="col-span-12 block md:hidden pb-2 border rounded-2xl border-color">
                            <div *ngFor="let item of (memberCart$ | async); index as idx">
                                <div class="grid grid-cols-12  py-3 px-2">
                                    <div class="col-span-3 h-20">
                                        <img [src]="
                                    item.product?.thumbnail ? item.product?.thumbnail : 'assets/image/hshg-2.png'
                                " class="h-20 w-20 cursor-pointer rounded-md" alt="Product thumbnail" [routerLink]="'/product-detail/'+item.product.id" [queryParams]="{ action: 'update' }"/>
                                    </div>
                                    <div class="col-span-8 justify-start pl-2">
                                        <span class="font-semibold text-lg cursor-pointer" [routerLink]="'/product-detail/'+item.product.id" [queryParams]="{ action: 'update' }">
                                            {{ item.product?.name || item.product.name }}
                                        </span>
                                        <div *ngIf="item?.subCartDetail?.length>0">
                                            (<span *ngFor="let top of item?.subCartDetail; let last = last">
                                                {{top?.product?.name}}
                                                <span>  
                                                    <span class="text-xs">x </span>
                                                    {{top?.quantity}}
                                                </span> 
                                                <span *ngIf="!last">,</span>
                                            </span>)
                                        </div>
                                        <div *ngIf="item?.subCartDetail?.length==0 || !item?.subCartDetail" >
                                            (Không chế biến)
                                        </div>
                                        <div *ngIf="item?.note" class="mt-2">
                                            <div class="border-t text-sm pt-2 whitespace-pre-line">
                                                {{item?.note}}
                                            </div>
                                        </div>
                                        <div class="mt-2 font-semibold" style="color: var(--color-blue)"
                                            *ngIf="item.product.flashSaleProduct?.edges.length > 0">
                                            <p class="mr-2">{{(item.product.flashSaleProduct?.edges[0].node.price) |
                                                number: '0.0-1':'vi'}}đ</p>
                                            <p class=" text-sm line-through text-gray-300">{{item.product.price|
                                                number: '0.0-1':'vi'}}đ</p>
                                        </div>
                                        <div class="mt-2 font-semibold flex" style="color: var(--color-blue)"
                                            *ngIf="item.product.flashSaleProduct?.edges.length == 0">
                                            <p>{{item.product.price| number: '0.0-1':'vi'}}đ</p>
                                            <p class="line-through ml-2" style="color: #717171; text-decoration-thickness: 1px;" *ngIf="item.product.advertisingPrice">
                                                {{item.product.advertisingPrice| number: '0.0-1':'vi'}}đ
                                            </p>
                                        </div>
                                        <div class="mt-2">
                                            <cos-frontend-item-quantity [quantity]="item.quantity" [item]="item" (outputQuantity)="
                                    changeQuantity2(
                                        $event,
                                        item.product.id
                                    )
                                ">
                                            </cos-frontend-item-quantity>
                                        </div>


                                    </div>

                                    <div class="col-span-1 md:justify-center justify-end text-lg">
                                            <mat-icon  class=" cursor-pointer"
                                            (click)="openDialog(item.id || item.product.id)">highlight_off</mat-icon>    
                                        <div *ngIf="item?.note">
                                                <mat-icon  class=" cursor-pointer" [routerLink]="'/product-detail/'+item.product.id"
                                                [queryParams]="{ action: 'update' }">edit_note
                                                </mat-icon>
                                            </div>
                                    </div>

                                </div>

                            </div>
                        </div>
                        <div class="md:col-span-4 md:pl-3 col-span-12 pl-0 mt-3 md:mt-0">
                            <div class="px-2 py-4 border rounded-2xl border-color">
                                <div class="text-center text-xl font-semibold">
                                    Tóm Tắt Đơn Hàng
                                </div>

                                <div class="flex justify-between pt-3 pb-1 border-b-2">
                                    <span>
                                        Tạm tính
                                    </span>
                                    <span class="font-weight-bold">{{
                                        subTotalMember | number: '0.0-1':'vi'}}đ </span>
                                </div>

                                <div class="flex justify-between pt-3 pb-1 border-b-2">
                                    <span>
                                        Giảm giá
                                    </span>
                                    <span class="font-weight-bold">{{
                                        totalDiscount | number: '0.0-1':'vi'}}đ </span>
                                </div>


                                <div class="flex justify-between pt-3 font-semibold" style="color: var(--color-blue)">
                                    <span>
                                        Tổng cộng
                                    </span>
                                    <span class="font-semibold" style="color: var(--color-blue)">{{
                                        (subTotalMember - totalDiscount) | number: '0.0-1':'vi'}}đ </span>
                                </div>
                                <div *ngIf="needToDiscount>0" style="color:var(--color-red)">
                                    Mua thêm {{ needToDiscount | number: '0.0-1':'vi'}}đ để được áp dụng ưu đãi
                                </div>
                            </div>

                            <div class="border mt-3 px-2 py-4 rounded-2xl border-color">
                                <div class=" w-full pt-1 text-center">
                                    <div class="font-semibold text-xl">
                                        Mã Khuyến Mãi
                                    </div>

                                    <div class="grid grid-cols-12 my-4 gap-y-2">
                                        <div class="col-span-12" 
                                            *ngFor="let item of (promotionCode$ | async)?.edges; index as index;" 
                                            [class.pl-1]="index != 0"
                                        >
                                            <div class="border justify-center text-white" 
                                                [class.bg-custom-pro-active]="activePromotion == item?.node?.code"
                                                [class.bg-custom-pro]="activePromotion != item?.node?.code"
                                            >
                                                <!-- <button type="button" class="py-2 px-3" (click)="changeOptionPromotion(item)">

                                                        {{
                                                            (item?.node?.unitDiscount == 'VND' ? ('-' + (item?.node?.discount | number: '0.0-1':'vi') + 'đ') : 
                                                            (
                                                                (subTotalMember && item?.node?.limitDiscount && (subTotalMember * item?.node?.discount / 100) > item?.node?.limitDiscount) ? 
                                                                ('-' + (item?.node?.limitDiscount | number: '0.0-1':'vi')  + 'đ') :  
                                                                ('-' + item?.node?.discount  + '%')
                                                            ))
                                                        }}
                                                </button> -->
                                                <button type="button" class="py-2 px-3" (click)="changeOptionPromotion(item)">
                                                   <p>
                                                    {{
                                                        item?.node?.title
                                                    }}
                                                </p>
                                                        
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                    <form [formGroup]="form" (ngSubmit)="applyPromotionCode(form.value)">
                                    <div class="grid grid-cols-12">
                                        <div class="col-span-8">
                                            <input type="text" class="h-10 border border-color border-2rem w-full"
                                                placeholder="Mã khuyến mãi" aria-label="promotion_code"
                                                aria-describedby="promotion_code" />
                                        </div>
                                        <div class="col-span-4 pl-2">
                                            <!-- <div class="h-10 border justify-center bg-custom text-white">
                                                <button type="submit" class="py-2 px-3">Áp dụng</button>
                                            </div> -->
                                            <a>
                                                <button type="submit"
                                                    class="h-10 w-full bg-custom text-white">
                                                    Áp dụng
                                                </button>
                                            </a>
                                        </div>
                                    </div>
                                    </form>

                                </div>
                            </div>
                            <div class="text-center mt-3">
                                <a  (click)="checkout()"> 
                                    <button type="button"
                                    class="h-10 w-full bg-custom text-white">
                                    Đặt hàng
                                </button>
                                </a>
                            </div>

                            <div class="flex flex-wrap items-center text-center justify-center mt-4" style="color: #707070;">
                                <ion-icon class="tag-cart" name="tag-cart"> </ion-icon>
                                <a routerLink="/home" class="text-black font-normal underline hover:no-underline">Chọn thêm sản phẩm&nbsp; </a>
                            </div>

                        </div>
                    </div>
                </div>
                <div *ngIf="(memberCart$ | async)?.length == 0">
                    <p class="text-center md:text-2xl  mt-10">Chưa có sản phẩm </p>
                    <div class="flex justify-center mt-20">
                        <a class=" py-2 px-4 md:text-xl text-white bg-custom cursor-pointer" routerLink="/home">
                            Quay lại trang chủ</a>

                    </div>
                </div>
            </div>


        </div>

        <!-- <div class="container mx-auto max-w-screen-xl  pb-20 px-4" *ngIf="(memberCart$ | async)?.length !== 0 ||  (guestCart$ | async)?.length !== 0">
            <h2 class="text-center text-4xl mb-4 font-medium">
                Thường được mua cùng
            </h2>
            <div class="w-full relative" *ngIf="relatedProduct?.length > 0">
                <div class="absolute" style="top: calc(50% - 16px); left: -20px;">
                    <ion-icon class="arrow-related" slot="icon-only" name="arrow-left-related" (click)="owlRelated.prev()"></ion-icon>
                </div>
                <owl-carousel-o [options]="customOptions" #owlRelated>
                  <ng-container *ngFor="let slide of relatedProduct">
                    <ng-template carouselSlide [id]="slide.id" class="mx-4">
                        <div class="hidden md:block flex items-center justify-center" 
                        style="display:  flex !important;">
                            <img class="object-cover h-44 w-full" [src]="slide.thumbnail" [alt]="slide.name">
                        </div>
                        <div class="mt-4 font-medium truncate text-2xl">
                            {{
                                slide.name
                            }}
                        </div>
                        <div class="mt-2 font-medium flex items-center">
                            <span style="color: var(--color-red);" class="font-semibold text-xl">
                                {{ slide.price | number: '1.0-0':'vi'}}đ
                            </span>
                            <div class="flex justify-between w-full">
                                <span class="line-through font-medium text-lg ml-2" style="color: #717171; text-decoration-thickness: 1px;" *ngIf="slide.advertisingPrice">
                                    {{slide.advertisingPrice | number: '0.0-1':'vi'}}đ
                                  </span>
                                  <div class="text-white px-2 py-1 text-xs rounded-lg ml-2 mb-1" style="background-color: var(--color-red);" *ngIf="slide.advertisingPrice">
                                    -{{((slide.advertisingPrice - slide.price)/slide.advertisingPrice)*100  | number:
                                        '1.0-0'}}%
                                </div>
                            </div>
                        </div>
                        <div class="my-2 flex justify-center items-center">
                            <div class="w-full">
                            <button mat-raised-button type="button" class="w-full" (click)="addToCart(slide)">
                                Chọn
                            </button>
                            </div>
                        </div>
                    </ng-template>
                  </ng-container>
                </owl-carousel-o>
                <div class="absolute" style="top: calc(50% - 16px); right: -20px;">
                    <ion-icon class="arrow-related" slot="icon-only" name="arrow-right-related" (click)="owlRelated.next()"></ion-icon>
                </div>
            </div>
        </div> -->

        <div  class="bg-white">
            <div class="py-4 md:pt-10 md:pb-6 md px-2  md:block items-center justify-center hidden h-auto">
              <div class="grid grid-cols-4">
                <div class="col-span-1 flex justify-center">
                  <img src="/assets/image/banner-11.png" alt="" class="p-0 h-72">
                </div>
                <div class="col-span-1 flex justify-center">
                  <img src="/assets/image/banner-12.png" alt="" class="p-0 h-72">
                </div>
                <div class="col-span-1 flex justify-center">
                  <img src="/assets/image/banner-13.png" alt="" class="p-0 h-72">
                </div>
                <div class="col-span-1 flex justify-center">
                  <img src="/assets/image/banner-14.png" alt="" class="p-0 h-72">
                </div>
              </div>
            </div>
            <div class="md:hidden block">
              <div class="grid grid-cols-2 gap-0">
                <div class="col-span-1">
                  <img src="/assets/image/banner-11.png" alt="" class="p-0">
                </div>
                <div class="col-span-1">
                  <img src="/assets/image/banner-12.png" alt="" class="p-0">
                </div>
                <div class="col-span-1">
                  <img src="/assets/image/banner-13.png" alt="" class="p-0">
                </div>
                <div class="col-span-1">
                  <img src="/assets/image/banner-14.png" alt="" class="p-0">
                </div>
              </div>
            </div>
          </div>
        <app-footer></app-footer>
        <div>
            <button  *ngIf="isShowBackToTop" class="fixed  right-12 md:bottom-4 md:right-28 z-50 w-10 h-10 md:w-12 md:h-12 rounded-full bg-main text-white" (click)="scrollToTop()"
                style="border: 1px solid whitesmoke" [ngClass]="cartItemsNo>0 ? 'bottom-28' : 'bottom-16'">
                <mat-icon class="pt-1" matTooltip="Trở về đầu trang">keyboard_arrow_up</mat-icon>
            </button>
        </div>
        <!-- <div class="fixed bottom-20 md:bottom-24 md:right-9 right-5 z-50" onclick="location.href='tel:+84878879959';">
            <img [src]="'assets/image/telephone.svg'" class="cursor-pointer md:h-12 md:w-12 h-10 w-10" alt="messenger">
        </div>
        <div class="fixed bottom-5 md:bottom-7 md:right-9 right-5 z-50"
            onclick=" window.open('https://m.me/ABHomeDecoration')">
            <img [src]="'assets/image/messenger.svg'" class="cursor-pointer md:h-12 md:w-12 h-10 w-10" alt="messenger">
        </div> -->
    </div>

</ion-content>